crc_module_config_t Struct Reference

CRC module configuration. More...

## Data Fields

uint32_t | polynomial
uint32_t | seed
crc_transpose_type_t | readTranspose
crc_transpose_type_t | writeTranspose
bool | complementChecksum
crc_bits_t | crcBits

## Detailed Description

CRC module configuration.

This structure holds the configuration for the CRC module.

## Field Documentation

bool complementChecksum

True if the result shall be complement of the actual checksum.

crc_bits_t crcBits

Selects 16- or 32- bit CRC protocol.

uint32_t polynomial

CRC Polynomial, MSBit first.
Example polynomial: 0x1021 = 1_0000_0010_0001 = x^12+x^5+1

crc_transpose_type_t readTranspose

Type of transpose when reading CRC result.

uint32_t seed

Starting checksum value

crc_transpose_type_t writeTranspose

Type of transpose when writing CRC input data.

The documentation for this struct was generated from the following file:

- fsl_crc.c